/* STYLE GLOBAL */

*{
    margin: 0;
    padding: 0;
}

body {
    box-sizing: border-box;
    width: 1280px; 
    margin: 0 auto;
}

/* //////////////////////////////////////////////////////////////////////////////////////// */

/* STYLE POUR LA BANNIERE */

.entete {
    width: 100%;
    border-radius: 10px;
    overflow: hidden;
    position: relative;
}

.entete img {
    width: 100%;
    height: auto; 
    border-radius: 10px;
}

h1 {
    width: 300px;
    height: 80px;
    background-color: beige;
    font-family: Arial, Helvetica, sans-serif;
    text-transform: uppercase;
    opacity: 0.75;
    display: flex;
    align-items: center;
    justify-content: center;
    position: absolute;
    border-radius: 10px;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

/* //////////////////////////////////////////////////////////////////////////////// */

/* STYLE POUR LE MENU*/

nav {
    margin: 10px 0;
    position: sticky;
    top: 0;
    background-color: #CCC;
    border: 2px solid black;
    border-radius: 10px;
}

nav ul {
    display: flex;
    justify-content: space-around;
    align-content: center;
    list-style: none;
    padding: 0px 75px 0px 75px;
}

nav ul li {
    flex: 1;
    text-align: center; 

}

nav ul li a {
    font-weight: bold;
    text-decoration: none;
    font-size: 1em;
    color: black;
    display: block;
    width: 100%; 
    padding: 15px 0; 
}

nav ul li a:hover {
    color: white;
    background-color: #A90331;
}

/* //////////////////////////////////////////////////////////////////////////////// */

/* CONTENU PRINCIPAL DE TOUTES LES PAGES */

h3 {
    padding: 0px 20px 0px 20px;
}

.text {
    text-align: justify;
    padding: 0px 20px 20px 20px;
}

.container img {
    margin: 20px;
}
.container h2 {
    padding: 10px;
    text-align: center;
    width: 100%;
    color: white;
    background-color: #A90331;
    font-style: italic;
    font-family: Arial, sans-serif;
}

.culture {
    list-style-type: disc;
    padding-left: 50px;
    display: block;
}

.container {
    display: flex;
    border-radius: 10px;
    overflow: hidden;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-color: lightgrey;
}

.intro_accueil {
    font-family: Arial, sans-serif;
    font-size: 16px;
    font-weight: bold;
    color: black;
    padding-left: 25px;
    padding-right: 25px;
    justify-items: center;
    text-align: justify;
}

.liste_accueil ul li a {
    text-decoration: none;
    color : #A90331;
}

.liste_accueil ul li {
    list-style: none;
    text-align: center;
}

/* //////////////////////////////////////////////////////////////////////////////// */

/* GALERIE */

.img-grid {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
}
    
.img-grid .item {
    text-align: center;
    margin: 5px;
    width: calc((100% - 35px) / 2);
}
    .item img {
    border: 3px solid black;
    width: 400px;
}

/* //////////////////////////////////////////////////////////////////////////////// */


/* LIENS */

.lienss {
    margin: 40px 0;
    display: flex;
    width: 100%;
    justify-content: space-evenly;
}
    
.lien {
    text-align: center;
    display: flex;
    flex-direction: column;
}

.lien p {
    text-align: center;
}
    
.lien a {
    text-decoration: none;
    color: #A90331;
}

.text_liens {
    font-weight: bold;
}

footer {
    padding-bottom: 20px;
}

/* //////////////////////////////////////////////////////////////////////////////// */

/*FORM*/

.contact-form {
    width: 100%;
    height:100vh;
    position: relative; 
}

.form {
    width: 50%;
    background-color: #F0F1F3;
    padding: 40px;
    border-radius: 10px;
    height:70vh;
    position: absolute;
    top:10vh;
    margin-left: 48%;
    left: -25%;
}

.form h4 {
    color: #4A4948;
    font-size: 26px;
    font-weight: 600;
    margin-bottom: 16px;
    line-height: 30px;
}

.form p {
    color: #4A4948;
    font-size: 15px;
    padding-bottom: 10px;
}

.row-form {
    width: 100%;
}

.row-form input {
    width: 45%;
    font-size: 14px;
    border: none;
    border-radius: 5px;
    background-color: white;
    color:#4A4948;
    padding: 15px;
    margin-bottom: 20px;
}

.row-form input[name='nom']{
    float: left;
}

.row-form input[name='email']{
    float: right;
}

.row-col-form input,
.row-col-form textarea {
    width: 95%;
    font-size: 14px;
    border: none;
    border-radius: 5px;
    background-color: white;
    color: #4A4948;
    padding: 15px 20px;
    margin-bottom: 20px;
    resize: none;
}

.row-col-form button {
    width: 100%;
    font-size: 20px;
    border: none;
    border-radius: 5px;
    background-color: #1B2148;
    color: white;
    padding: 12px 20px;
    margin-bottom: 20px;
    resize: none;
}

.row-col-form button:hover {
    background-color: #1F7DF5;
    transition: 0.6s;
}

/* //////////////////////////////////////////////////////////////////////////////// */

/*BONUS JAVASCRIPT*/

.lightbox {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.8);
    justify-content: center;
    align-items: center;
}

.lightbox img {
    width: 50%;
    height: auto;
    max-height: 50%;
}

.close, .prev, .next {
    position: absolute;
    color: white;
    font-size: 30px;
    cursor: pointer;
}

.close {
    top: 20px;
    right: 30px;
}

.prev {
    left: 10%;
}

.next {
    right: 10%;
}

/* //////////////////////////////////////////////////////////////////////////////// */

/* AJOUT DU BOUTON RETOUR VERS LE HAUT*/

.back-to-top {
    display: block;  
    width: 50px;
    margin: 20px;
    float: right; 
    background-color: #A90331;
    color: white;
    text-align: center;
    font-weight: bold;
    text-decoration: none;
    border-radius: 5px;
    transition: background-color 0.3s ease-in-out;
}

.back-to-top:hover {
    background-color: #8A0022;
}



